Bug 450750 - system-config-network does not start connections automatically
system-config-network does not start connections automatically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 16:04 EDT by Tim
Modified: 2013-01-13 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim 2008-06-10 16:04:33 EDT
Description of problem:
Niether ethernet nor adsl starts automatically

Version-Release number of selected component (if applicable):
system-config-network 1.5.10 - this was written in "about"

How reproducible:


Steps to Reproduce:
1. run Network Configuration from Application menu or system-config-network 
from console
2.add any connection (tried eth0 , dls, wireless)
3.during adding check checkbox - automatically run when computer starts
4.reboot comuter
  
Actual results:
no activated connections

Expected results:
all checked coonections are activated automatically (a least as it was on 
Fedora 8)

Additional info:
using laptop ASUS F5R - ethernet card attansic
wireless card - broadcom
Comment 1 Jiri Moskovcak 2008-06-11 04:16:07 EDT
Hi,
can you please post your /etc/sysconfig/networking/devices/ifcfg-* file. Is
NetwrokManager running?

Jirka
Comment 2 Harald Hoyer 2008-06-11 08:01:53 EDT
activate "Managed by NetworkManager"
Comment 3 Tim 2008-06-11 15:49:18 EDT
>can you please post your
it is for ethernet:

# Attansic Technology Corp. L2 100 Mbit Ethernet Adapter
DEVICE=eth0
BOOTPROTO=none
HWADDR=00:1b:fc:00:44:35
ONBOOT=yes
DHCP_HOSTNAME=localhost.localdomain
NM_CONTROLLED=yes
IPADDR=10.0.0.12
NETMASK=255.255.255.0
TYPE=Ethernet
USERCTL=no
PEERDNS=yes
IPV6INIT=no
GATEWAY=10.0.0.2

it is for dsl:

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
TYPE=xDSL
DEVICE=ppp0
BOOTPROTO=dialup
ONBOOT=yes
USERCTL=no
PEERDNS=yes
IPV6INIT=no
NM_CONTROLLED=no
PIDFILE=/var/run/pppoe-adsl.pid
FIREWALL=NONE
PING=.
PPPOE_TIMEOUT=80
LCP_FAILURE=3
LCP_INTERVAL=20
CLAMPMSS=1412
CONNECT_POLL=6
CONNECT_TIMEOUT=60
PERSIST=no
SYNCHRONOUS=no
DEFROUTE=yes
USER='ad002705@dsl.ukrtel.net'
ETH=eth0
PROVIDER=Ukrtelecom
DEMAND=no

yes - it is running - NetworkManager Applet 0.7.0

>activate "Managed by NetworkManager"
I've made you've adviced for both ethernet and dsl connections
after reboot NetworkMnager noticed ethernet connection (marked as "system 
ethernet") but dsl was still ignored
then I've add it (dsl connection) to Nework Manager directly and got possible 
to select between radiobuttons - eth0 or dsl (guess dsl can't work without 
eth0, so it was rather confused to select between them) 
so - but after reboot result was same :( - dsl has not started - and I had to 
activate it manually
Comment 4 Bug Zapper 2009-06-09 21:32:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:23:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.